// this is only used for testing
var path = require('path');
var Webpack = require('webpack');
module.exports = {
  entry:  {
    test: ["./src/index", "./test/index"]
  },
  output: {
    path: path.join(__dirname, "/dist"),
    filename: "[name].bundle.js",
  },
  // devtool: 'source-map',
  plugins: [
    new Webpack.HotModuleReplacementPlugin(),
    new Webpack.NoErrorsPlugin(),

    //Chunk script
    // new Webpack.optimize.CommonsChunkPlugin('dependencies', 'js/dependencies.js', Infinity),

    //Chunk css
    new ExtractTextPlugin('css/[name].css', {
      allChunks: true
    }),

    new Webpack.DefinePlugin({
      'process.env': {
        'NODE_ENV': JSON.stringify('production')
      }
    }),




    new Webpack.BannerPlugin("\n")
  ],
  module: {
    loaders: [
      {
        test: /\.js$/,
        include: [
          path.join(__dirname, 'src'),
          path.join(__dirname, 'test')
        ],
        loader: 'babel',
        query: {
          presets: ["es2015", "stage-2", "react"]
        }
      },
    ]
  }
};
